/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct FileInfoList {
    #[serde(rename = "order", skip_serializing_if = "Option::is_none")]
    pub order: Option<Vec<String>>,
    #[serde(rename = "file_infos", skip_serializing_if = "Option::is_none")]
    pub file_infos: Option<::std::collections::HashMap<String, crate::openapi::models::FileInfo>>,
    /// The ID of next file info. Not omitted when empty or not relevant.
    #[serde(rename = "next_file_id", skip_serializing_if = "Option::is_none")]
    pub next_file_id: Option<String>,
    /// The ID of previous file info. Not omitted when empty or not relevant.
    #[serde(rename = "prev_file_id", skip_serializing_if = "Option::is_none")]
    pub prev_file_id: Option<String>,
}

impl FileInfoList {
    pub fn new() -> FileInfoList {
        FileInfoList {
            order: None,
            file_infos: None,
            next_file_id: None,
            prev_file_id: None,
        }
    }
}
